<ng-template #contentMore let-modal>
    <div class="modal-header">
      <button type="button" class="close" aria-label="Close" (click)="modal.dismiss('Cross click')">
        <span aria-hidden="true">&times;</span>
      </button>
    </div>
    <div class="modal-body">
        <div class="wrapper wrapper--w790">
            <div class="card card-5">
                <div class="card-heading">
                    <h2 class="title">Demande d'Abonnement ID : {{demandeToShow.idDemandeAbonnement}}</h2>
                </div>
                <div class="card-body">
                    <div class="tab-pane fade show active" id="description" role="tabpanel" aria-labelledby="description-tab">
                        <p class="small text-muted ">Client : <span>{{demandeToShow.client.name}}</span></p>
                        <p class="small text-muted ">Agence : <span>{{demandeToShow.agence.intitule}}</span></p>
                        <p class="small text-muted ">Offre : <span>{{demandeToShow.offre.labelle}}</span></p>
                      </div>
                </div>
            </div>
        </div>
    </div>
  </ng-template>



<!-- Listes des Remarques Popup-->
<ng-template #content let-modal>
    <div class="modal-header">
        <div>
            <button class="btn btn-primary" (click)="openFormModal(formContent)">Ajouter Remarque</button>
        </div>
      <button type="button" class="close" aria-label="Close" (click)="modal.dismiss('Cross click')">
        <span aria-hidden="true">&times;</span>
      </button>
    </div>
    <div class="modal-body">
        <div class="container mt-5">
            <div class="row d-flex justify-content-center">
                
                <div class="col-md-8" *ngFor="let remarque of remarques">
                    <div class="card p-3">
                        <div class="d-flex justify-content-between align-items-center">
                            <div class="user d-flex flex-row align-items-center"> <img src="https://www.pikpng.com/pngl/m/70-706939_headphones-clipart-word-work-center-call-center-agent.png" width="30" class="user-img rounded-circle mr-2"> <span><small class="font-weight-bold text-primary">{{remarque.user.nom}} {{remarque.user.prenom}}</small> <small class="font-weight-bold">{{remarque.text}}</small></span> </div> <small>{{remarque.dateCreation}}</small>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
  </ng-template>


<!-- Ajouter Remarque Popup -->
<ng-template #formContent let-modal>
    <div class="modal-header">
      <h4 class="modal-title" id="modal-form">Ajouter une Remarque</h4>
      <button type="button" class="close" aria-label="Close" (click)="modal.dismiss('Cross click')">
        <span aria-hidden="true">&times;</span>
      </button>
    </div>
    <div class="modal-body">
        <form [formGroup]="RemarqueForm" (ngSubmit)="addRemarque()">
            <div class="form-group">
              <label for="text">Texte</label>
              <textarea formControlName="text"  class="form-control" id="text" name="text" placeholder="Entrez le texte de la remarque..."></textarea>
            </div>
            <button type="submit" class="btn btn-success" (click)="modal.close()">Ajouter</button>
        </form>
    </div>
  </ng-template>







<div class="container p-30">
    <div class="row">
        <div class="col-md-12 main-datatable">
            <div class="card_body">
                <div class="row d-flex">
                    <div class="col-sm-2 createSegment"> 
                        <a [routerLink]="'/add-demande'" class="btn dim_button create_new"><span class="glyphicon glyphicon-plus"></span>Ajouter une Demande</a>
                    </div>
                <div class="overflow-x">
                    <table datatable [dtOptions]="dtOptions" [dtTrigger]="dtTrigger" style="width:100%;" id="filtertable" class="table cust-datatable dataTable no-footer">
                        <thead>
                            <tr>
                                <th style="min-width:100px;">Fréquance Paiement</th>
                                <th style="min-width:80px;">Adresse d'Installation</th>
                                <th style="min-width:100px;">Ville</th>
                                <th style="min-width:100px;">Governorat</th>
                                <th style="min-width:50px;">Etat</th>
                                <th style="min-width:50px;">Télephone ADSL</th>
                                <th style="min-width:50px;">Type</th>
                                <th style="min-width:80px;">Active</th>
                                <th style="min-width:30px;">Actions</th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr *ngFor="let demande of demandes">
                                <td>{{demande.frequencePaiement}}</td>
                                <td>{{demande.adresseInstallation}}</td>
                                <td>{{demande.ville}}</td>
                                <td>{{demande.gouvernorat}}</td>
                                <td>{{demande.etat}}</td>
                                <td>{{demande.telADSL}}</td>
                                <td>{{demande.typeDemande}}</td>
                                <td>
                                    <span *ngIf="demande.active === true" class="mode mode_on">active</span>
                                    <span *ngIf="demande.active === false" class="mode mode_off">inactive</span>
                                </td>
                                <td>
                                    <div class="btn-group" placement="top" ngbTooltip="Modifier Demande">
                                        <a class=" dropdown_icon" 
                                        (click)="openUpdateDemande(demande)">
                                        <i class="fa fa-pencil-square-o"></i> </a>
                                        
                                    </div> 
                                    <div 
                                    class="btn-group" 
                                    placement="top" 
                                    ngbTooltip="Ajouter Abonnement" 
                                    (click)="openAjoutAbonnement(demande)">
                                        <a class="dropdown_icon">
                                            <i class='bx bxs-file-plus'></i>
                                        </a>
                                        
                                    </div>
                                    <div 
                                    class="btn-group" 
                                    placement="top" 
                                    ngbTooltip="Remarques" 
                                    (click)="open(content , demande)">
                                        <a class="dropdown_icon">
                                            <i class='bx bxs-message-alt-error'></i>
                                        </a>
                                        
                                    </div>
                                    <div class="btn-group" placement="top" ngbTooltip="Archiver Demande">
                                        <a class=" dropdown_icon" 
                                        (click)="ArchiverDemande(demande)">
                                        <i class='bx bxs-archive'></i> </a>  
                                    </div>
                                    <div class="btn-group" placement="top" ngbTooltip="Plus Informations">
                                        <a class=" dropdown_icon" 
                                        (click)="showDemande(demande , contentMore)">
                                        <i class='bx bxs-show'></i></a>  
                                    </div>
                                </td>
                            </tr>
                        </tbody> 
                    </table>
                    <div *ngIf="!demandes" class="alert alert-warning">
                        <h2>Aucune Demande Trouvée</h2>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>